Package org.eclipse.jdt.ui

## Interface IWorkingCopyProvider

All Known Implementing Classes:
  `JavaElementContentProvider`, `StandardJavaElementContentProvider`

    public interface IWorkingCopyProvider

Interface used for Java element content providers to indicate that the content provider can return working copy elements for members below compilation units.

This interface is not intended to be implemented by clients.

Since:
  2.0
See Also:
  `StandardJavaElementContentProvider`
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `providesWorkingCopies()` Returns `true` if the content provider returns working copy elements; otherwise `false` is returned.

### Method Detail

#### providesWorkingCopies

    boolean providesWorkingCopies()

Returns `true` if the content provider returns working copy elements; otherwise `false` is returned.

Returns:
  whether working copy elements are provided.